%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

#define         bzr_release	9225

Distribution:	CCux
Packager:	Christian Wasem <wasem@cux-linux.de>

Name:		inkscape
Version:	0.48.0
Release:	3
License:	GNU/GPL
URL:		http://www.inkscape.org
Group:		Multimedia/Graphics
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.
BuildArch:	i686

BuildRequires:	ORBit2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libbonobo-devel
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libgnomeprint-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	boost-devel
BuildRequires:	libwpg-devel >= 0.1.3-2
BuildRequires:	intltool
BuildRequires:  python26-devel

BuildRequires: gobject-introspection-devel
BuildRequires: libffi-devel

BuildRequires: libXxf86vm-devel
BuildRequires: libXdamage-devel

Requires:	python26-lxml
Requires:	numpy

Provides:	perl(SpSVG)
Provides:	perl(SVG)

#Automatically resolved build dependencies
BuildRequires: aspell-devel
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cairomm-devel
BuildRequires: coreutils
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: gc-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: glibmm-devel
BuildRequires: gnome-vfs-devel
BuildRequires: gsl-devel
BuildRequires: gtk2+-devel
BuildRequires: gtkmm-devel
BuildRequires: gtkspell-devel
BuildRequires: ImageMagick-devel
BuildRequires: lcms-devel
BuildRequires: libgcc
BuildRequires: libgomp
BuildRequires: libpng-devel
BuildRequires: libsigc++-devel
BuildRequires: libstdc++-devel
BuildRequires: libwpd-devel
BuildRequires: libwpg-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: pango-devel
BuildRequires: pangomm-devel
BuildRequires: perl
BuildRequires: perl-SVG-Parser
BuildRequires: perl-XML-XQL
BuildRequires: poppler-devel
BuildRequires: poppler-glib-devel
BuildRequires: popt-devel
BuildRequires: zlib-devel

%description
Inkscape is an open source SVG editor with capabilities similar to Illustrator, CorelDraw, Visio, etc.
Supported SVG features include basic shapes, paths, text, alpha blending, transforms, gradients,
node editing, svg-to-png export, grouping, and more.
For more details see: http://www.inkscape.org

%prep
%setup -q -n %{name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e '^\#\!/usr/bin/python' -e '^\#\!/usr/bin/env python' -e '^\#\! /usr/bin/python' -e '^\#\! /usr/bin/env python' '{}' \; )

for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done

%build
MYCFLAGS="$RPM_OPT_FLAGS"
#./autogen.sh
%configure --with-perl --with-python --disable-dependency-tracking PYTHON=/usr/bin/python%{PYVER}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README doc/keys.html
%{_bindir}/inkscape
%{_bindir}/inkview
%{_applications}/inkscape.desktop
%{_datadir}/icons/hicolor/*/apps/inkscape.png
%{_datadir}/inkscape
%{_locale}/*/LC_MESSAGES/inkscape.mo
%{_mandir}/fr/man1/inkscape.1.gz
%{_mandir}/man1/inkscape.1.gz
%{_mandir}/man1/inkview.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.48.0-3
- rebuilt against ImageMagick 6.6.5.4
* Wed Oct 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.48.0-2
- rebuilt
* Wed Oct 06 2010 Christian Metzen <metzench@ccux-linux.de> 0.48.0-1
- Version update to real release version instead of bzr9225
* Wed Aug 26 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.48-1
- Version update
* Tue Mar 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.47-14
- release bzr9225
* Wed Nov 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.47-13
- release 22598 (final)
- built against poppler 0.12.2
* Wed Nov 18 2009 Christian Metzen <metzench@ccux-linux.de> 0.47-12
- python 2.6
* Tue Sep 15 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-11
- svn release 22238
* Tue Sep 01 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-10
- svn release 22184
* Mon Jun 01 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-9
- svn release 21459
* Fri May 29 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-8
- svn release 21449
* Wed May 20 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-7
- svn release 21383
* Sun May 17 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-6
- svn release 21352
* Mon May 04 2009 Christian Wasem <wasem@ccux-linux.de> 0.47-5
- svn release 21282
* Mon Dec 15 2008 Christian Wasem <wasem@ccux-linux.de> 0.47-4
- svn release 20375
* Wed Dec 03 2008 Christian Wasem <wasem@ccux-linux.de> 0.47-3
- svn release 20297
* Sat Oct 11 2008 Christian Wasem <wasem@ccux-linux.de> 0.47-2
- svn release 19984
* Sun Jul 20 2008 Christian Wasem <wasem@ccux-linux.de> 0.47-1
- build without embedded python
- change to correct version (svn build)
* Sat Jul 19 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-5
- svn release (19371)
* Tue Apr 22 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-4
- changed package group to Multimedia/Graphics
* Sat Apr 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.46-3
- rebuilt against poppler 0.8.0
* Wed Mar 12 2008 Christian Wasem <wasem@ccux-linux.de> 0.46-2
- rebuild, add python-lxml as Requires (for more features)
* Tue Mar 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.46-1
- Version update
* Mon Feb 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.45-1
- Version update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.44.1-2
- rebuilt against X.org 7.1.1
* Fri Sep 08 2006 Christian Metzen <metzench@ccux-linux.de> 0.44.1-1
- Version update
* Sat Jun 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.44-1
- version update
* Mon Jun 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.43-3
- added freetype 2.2 patch
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.43-2
- added desktop patch
* Fri Nov 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.43-1
- Version update
* Mon Aug 22 2005 Christian Metzen <metzench@ccux-linux.de> 0.42.2-1
- Version update
* Sun Aug 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.42.1-1
- Version update
* Tue Jul 26 2005 Christian Metzen <metzench@ccux-linux.de> 0.42-1
- Version update, tweaked specfile, removed wrong obsoletes tag
- added missing specfile entrys from package db
* Fri Feb 11 2005 Christian Wasem <wasem@cux-linux.de> 0.41-1
- update from version 0.40-4, setting correct CFLAGS & CXXFLAGS
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-4
- fixed dependencies (gc, gtkmm, glibmm and perl-SVG) ;-)
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-3
- fixed dependencies (gc, gtkmm, glibmm)
* Tue Jan 18 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-2
- added dependencies (gc, perl-SVG)
* Sun Jan 16 2005 Christian Wasem <wasem@ccux-linux.de> 0.40-1
- Initial Release
